9ae3a8
From c75a52dd49f8b6f888a21952a30b5e3590093fd7 Mon Sep 17 00:00:00 2001
9ae3a8
From: Kevin Wolf <kwolf@redhat.com>
9ae3a8
Date: Mon, 10 Mar 2014 10:33:23 +0100
9ae3a8
Subject: [PATCH 12/16] qemu-iotests: Test progress output for conversion
9ae3a8
9ae3a8
RH-Author: Kevin Wolf <kwolf@redhat.com>
9ae3a8
Message-id: <1394447603-30527-3-git-send-email-kwolf@redhat.com>
9ae3a8
Patchwork-id: 58061
9ae3a8
O-Subject: [RHEL-7.0 qemu-kvm PATCH 2/2] qemu-iotests: Test progress output for conversion
9ae3a8
Bugzilla: 1073728
9ae3a8
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>
9ae3a8
RH-Acked-by: Max Reitz <mreitz@redhat.com>
9ae3a8
RH-Acked-by: Jeffrey Cody <jcody@redhat.com>
9ae3a8
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
9ae3a8
9ae3a8
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
9ae3a8
(cherry picked from commit 2fa4c042bc55ec10b9ca16163697d02cddd2d768)
9ae3a8
9ae3a8
Percentages in the output differ from upstream because RHEL 7 doesnt'
9ae3a8
have upstream commit 802c3d4c.
9ae3a8
9ae3a8
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
9ae3a8
---
9ae3a8
 tests/qemu-iotests/086     | 65 ++++++++++++++++++++++++++++++++++++++++++++++
9ae3a8
 tests/qemu-iotests/086.out | 18 +++++++++++++
9ae3a8
 tests/qemu-iotests/group   |  1 +
9ae3a8
 3 files changed, 84 insertions(+)
9ae3a8
 create mode 100755 tests/qemu-iotests/086
9ae3a8
 create mode 100644 tests/qemu-iotests/086.out
9ae3a8
9ae3a8
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
9ae3a8
---
9ae3a8
 tests/qemu-iotests/086     |   65 ++++++++++++++++++++++++++++++++++++++++++++
9ae3a8
 tests/qemu-iotests/086.out |   18 ++++++++++++
9ae3a8
 tests/qemu-iotests/group   |    1 +
9ae3a8
 3 files changed, 84 insertions(+), 0 deletions(-)
9ae3a8
 create mode 100755 tests/qemu-iotests/086
9ae3a8
 create mode 100644 tests/qemu-iotests/086.out
9ae3a8
9ae3a8
diff --git a/tests/qemu-iotests/086 b/tests/qemu-iotests/086
9ae3a8
new file mode 100755
9ae3a8
index 0000000..48fe85b
9ae3a8
--- /dev/null
9ae3a8
+++ b/tests/qemu-iotests/086
9ae3a8
@@ -0,0 +1,65 @@
9ae3a8
+#!/bin/bash
9ae3a8
+#
9ae3a8
+# Test qemu-img progress output
9ae3a8
+#
9ae3a8
+# Copyright (C) 2014 Red Hat, Inc.
9ae3a8
+#
9ae3a8
+# This program is free software; you can redistribute it and/or modify
9ae3a8
+# it under the terms of the GNU General Public License as published by
9ae3a8
+# the Free Software Foundation; either version 2 of the License, or
9ae3a8
+# (at your option) any later version.
9ae3a8
+#
9ae3a8
+# This program is distributed in the hope that it will be useful,
9ae3a8
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
9ae3a8
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
9ae3a8
+# GNU General Public License for more details.
9ae3a8
+#
9ae3a8
+# You should have received a copy of the GNU General Public License
9ae3a8
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
9ae3a8
+#
9ae3a8
+
9ae3a8
+# creator
9ae3a8
+owner=kwolf@redhat.com
9ae3a8
+
9ae3a8
+seq=`basename $0`
9ae3a8
+echo "QA output created by $seq"
9ae3a8
+
9ae3a8
+here=`pwd`
9ae3a8
+tmp=/tmp/$$
9ae3a8
+status=1	# failure is the default!
9ae3a8
+
9ae3a8
+_cleanup()
9ae3a8
+{
9ae3a8
+	_cleanup_test_img
9ae3a8
+}
9ae3a8
+trap "_cleanup; exit \$status" 0 1 2 3 15
9ae3a8
+
9ae3a8
+# get standard environment, filters and checks
9ae3a8
+. ./common.rc
9ae3a8
+. ./common.filter
9ae3a8
+
9ae3a8
+_supported_fmt qcow2
9ae3a8
+_supported_proto file
9ae3a8
+_supported_os Linux
9ae3a8
+
9ae3a8
+function run_qemu_img()
9ae3a8
+{
9ae3a8
+    echo
9ae3a8
+    echo Testing: "$@" | _filter_testdir
9ae3a8
+}
9ae3a8
+
9ae3a8
+size=128M
9ae3a8
+
9ae3a8
+_make_test_img $size
9ae3a8
+$QEMU_IO -c 'write 0 1M' $TEST_IMG | _filter_qemu_io
9ae3a8
+$QEMU_IO -c 'write 2M 1M' $TEST_IMG | _filter_qemu_io
9ae3a8
+$QEMU_IO -c 'write 4M 1M' $TEST_IMG | _filter_qemu_io
9ae3a8
+$QEMU_IO -c 'write 32M 1M' $TEST_IMG | _filter_qemu_io
9ae3a8
+
9ae3a8
+$QEMU_IMG convert -p -O $IMGFMT -f $IMGFMT "$TEST_IMG" "$TEST_IMG".base  2>&1 |\
9ae3a8
+    _filter_testdir | sed -e 's/\r/\n/g'
9ae3a8
+
9ae3a8
+# success, all done
9ae3a8
+echo "*** done"
9ae3a8
+rm -f $seq.full
9ae3a8
+status=0
9ae3a8
diff --git a/tests/qemu-iotests/086.out b/tests/qemu-iotests/086.out
9ae3a8
new file mode 100644
9ae3a8
index 0000000..fcf4425
9ae3a8
--- /dev/null
9ae3a8
+++ b/tests/qemu-iotests/086.out
9ae3a8
@@ -0,0 +1,18 @@
9ae3a8
+QA output created by 086
9ae3a8
+Formatting 'TEST_DIR/t.IMGFMT', fmt=IMGFMT size=134217728 
9ae3a8
+wrote 1048576/1048576 bytes at offset 0
9ae3a8
+1 MiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
9ae3a8
+wrote 1048576/1048576 bytes at offset 2097152
9ae3a8
+1 MiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
9ae3a8
+wrote 1048576/1048576 bytes at offset 4194304
9ae3a8
+1 MiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
9ae3a8
+wrote 1048576/1048576 bytes at offset 33554432
9ae3a8
+1 MiB, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
9ae3a8
+    (0.00/100%)
9ae3a8
+    (1.56/100%)
9ae3a8
+    (3.12/100%)
9ae3a8
+    (4.69/100%)
9ae3a8
+    (26.56/100%)
9ae3a8
+    (100.00/100%)
9ae3a8
+
9ae3a8
+*** done
9ae3a8
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
9ae3a8
index ee95d6e..51e7f58 100644
9ae3a8
--- a/tests/qemu-iotests/group
9ae3a8
+++ b/tests/qemu-iotests/group
9ae3a8
@@ -74,3 +74,4 @@
9ae3a8
 077 rw auto
9ae3a8
 079 rw auto
9ae3a8
 082 rw auto quick
9ae3a8
+086 rw auto quick
9ae3a8
-- 
9ae3a8
1.7.1
9ae3a8